SELECT (CASE 
           WHEN ( [database_id] = 32767 ) THEN 'Resource Database' 
           ELSE Db_name (database_id) 
         END )  AS 'Database Name', 
       Sum(CASE 
             WHEN ( [is_modified] = 1 ) THEN 0 
             ELSE 1 
           END) AS 'Clean Page Count',
		Sum(CASE 
             WHEN ( [is_modified] = 1 ) THEN 1 
             ELSE 0 
           END) AS 'Dirty Page Count'
FROM   sys.dm_os_buffer_descriptors 
GROUP  BY database_id 
ORDER  BY DB_NAME(database_id);


SELECT    object_name
		, counter_name
		, instance_name
		, cntr_value

FROM sys.dm_os_performance_counters
WHERE [counter_name] in ('page life expectancy'
							)
							and instance_name in ('','_total')

						--	DBCC DROPCLEANBUFFERS